## zookeeper 3.3.6+dfsg

=== debian/changelog ===
zookeeper (3.3.6+dfsg-1ubuntu1) quantal; urgency=low

  * Fix FTBFS on armhf architecture:
    - d/rules: Only execute native test suite on i386 and amd64 architectures;
      its a bit racey and does not execute reliably on others. 

 -- James Page <james.page@ubuntu.com>  Mon, 15 Oct 2012 18:03:56 +0100

zookeeper (3.3.6+dfsg-1) experimental; urgency=low

  * Re-sync with Ubuntu.
  * New upstream release:
    - Dropped patches for ZOOKEEPER-1403 and ZOOKEEPER-1431; included upstream.
    - Refreshed all other patches.
  * d/{watch,orig-tar.sh,README.source}: Repack upstream tarball using uscan
    to ease new upstream releases.
  * d/control: Version debhelper (>= 9~).
  * d/rules: Refactor contrib builds to use properties file.
  * d/ant.properties: Collate properties for contrib builds ensuring that
    bytecode built is backwards compatible.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 10:08:46 +0100
