=== debian/control ===
Source: zookeeper
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>
Homepage: http://hadoop.apache.org/zookeeper
Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
Vcs-Git: git://git.debian.org/pkg-java/zookeeper.git
Standards-Version: 3.9.3
Build-Depends:
 ant (>= 1.6.0),
 ant-optional,
 autoconf,
 automake,
 debhelper (>= 9~),
 default-jdk (>= 1:1.6),
 default-jdk-doc,
 help2man,
 javacc,
 javahelper (>= 0.28),
 junit4,
 libboost-dev,
 libcppunit-dev,
 libjline-java,
 liblog4cxx10-dev,
 liblog4j1.2-java (>> 1.2.15-8),
 libnetty-java,
 libtool,
 libxerces2-java,
 libxml2-dev,
 procps,
 python-all-dev (>= 2.6.6-3~)
X-Python-Version: >= 2.6
DM-Upload-Allowed: yes

Package: libzookeeper-java
Architecture: all
Depends:
 libjline-java,
 liblog4j1.2-java (>> 1.2.15-8),
 libnetty-java,
 libxerces2-java,
 ${misc:Depends}
Description: Core Java libraries for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the java .jar files.

Package: zookeeper
Architecture: all
Depends:
 adduser,
 default-jre-headless | java6-runtime-headless,
 libzookeeper-java (= ${binary:Version}),
 ${misc:Depends}
Description: High-performance coordination service for distributed applications
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the shell scripts and an example configuration but does
 not automatically start up the service. The example configuration is installed
 with the update-alternatives mechanism.

Package: zookeeperd
Architecture: all
Depends: zookeeper (= ${binary:Version}), ${misc:Depends}, lsb-base (>= 3.2-14)
Description: Init control scripts for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains init.d scripts to start and stop zookeeper and starts
 zookeeper on installation.

Package: libzookeeper-java-doc
Section: doc
Architecture: all
Depends: libzookeeper-java (= ${binary:Version}), ${misc:Depends}
Description: API Documentation for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.

Package: libzookeeper-mt2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi threaded C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the multi-threaded libraries for the C bindings.

Package: libzookeeper-st2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Single threaded C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the single-threaded libraries for the C bindings.

Package: libzookeeper2
Architecture: any
Priority: extra
Section: oldlibs
Depends: libzookeeper-mt2 (= ${binary:Version}), ${misc:Depends}
Description: C bindings for zookeeper - transitional package
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 Transitional package for renaming of libzookeeper2 -> libzookeeper-mt2.

Package: libzookeeper-mt-dev
Architecture: any
Section: libdevel
Replaces: libzookeeper-dev
Provides: libzookeeper-dev
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libzookeeper-dev
Description: Development files for multi threaded zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the multi threaded C bindings.

Package: libzookeeper-st-dev
Architecture: any
Section: libdevel
Replaces: libzookeeper-dev
Provides: libzookeeper-dev
Depends:
 libzookeeper-st2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libzookeeper-dev
Description: Development files for single threaded zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the single threaded C bindings.

Package: zookeeper-bin
Architecture: any
Section: misc
Depends: libzookeeper-mt2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Command line utilities for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains additional zookeeper command line utilities using the C
 binding. See the "zookeeper" package for command line utilities using the java
 binding.

Package: python-zookeeper
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Python bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the Python bindings.
