## zookeeper 3.4.5+cdh6.3.0

=== debian/changelog ===
zookeeper (3.4.5+cdh6.3.0-1279813.meta1) stable; urgency=medium

  * Packaging for MetaCentrum.

 -- František Dvořák <valtri@civ.zcu.cz>  Sun, 25 Aug 2019 12:18:19 +0200

zookeeper (3.4.5+cdh6.3.0-1279813) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-0483.vpc.cloudera.com>  Thu, 18 Jul 2019 09:44:48 -0700
