=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=429f98403d335d42eff66e313805f33936d1ab81
 ZOOKEEPER_VERSION=3.4.5+cdh6.3.0
 ZOOKEEPER_PATCHED_VERSION=3.4.5-cdh6.3.0
 ZOOKEEPER_BASE_VERSION=3.4.5
 ZOOKEEPER_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=3.4.5+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

zookeeper_pkg_name=zookeeper

%:
	dh $@

override_dh_auto_build:
	env FULL_VERSION=${ZOOKEEPER_PATCHED_VERSION} bash debian/do-component-build
	mkdir -p debian/tmp
	tar -cf - --exclude=debian/\* . | (cd debian/tmp && tar -xf -)

override_dh_auto_install:
	cp debian/zookeeper.1 debian/zoo.cfg debian/zookeeper.default .
	env FULL_VERSION=${ZOOKEEPER_PATCHED_VERSION} bash -x debian/install_zookeeper.sh \
	  --build-dir=build/zookeeper-${ZOOKEEPER_PATCHED_VERSION} \
	  --doc-dir=usr/share/doc/zookeeper \
	  --prefix=debian/$(zookeeper_pkg_name) \
	  --source-dir=debian

	# Move native files to a dedicated package
	mkdir -p debian/zookeeper-native/usr/bin
	mkdir -p debian/zookeeper-native/usr/lib
	mv debian/zookeeper/usr/bin/cli_* debian/zookeeper/usr/bin/load_gen debian/zookeeper-native/usr/bin/
	mv debian/zookeeper/usr/lib/libzookeeper* debian/zookeeper-native/usr/lib/
	mv debian/zookeeper/usr/lib/zookeeper-native debian/zookeeper-native/usr/lib/
	mv debian/zookeeper/usr/include debian/zookeeper-native/usr/include
	dh_install -i

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
