=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Section: misc
 Priority: extra
 Maintainer: Cloudera Inc. <https://issues.cloudera.org>
-Build-Depends: debhelper (>= 7.0.50~), ant, ant-optional, autoconf, automake, libcppunit-dev (>= 1.10.2), pkg-config, pigz
+Build-Depends: debhelper (>= 7.0.50~), ant, ant-optional, autoconf, automake, libcppunit-dev
 Standards-Version: 3.8.0
 Homepage: http://zookeeper.apache.org/
