=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=429f98403d335d42eff66e313805f33936d1ab81
- ZOOKEEPER_VERSION=3.4.5+cdh6.3.0
- ZOOKEEPER_PATCHED_VERSION=3.4.5-cdh6.3.0
+export COMPONENT_HASH=33c21134a47e3eeaf04e7f447fc1bd4d11936e20
+ ZOOKEEPER_VERSION=3.4.5+cdh6.3.2
+ ZOOKEEPER_PATCHED_VERSION=3.4.5-cdh6.3.2
  ZOOKEEPER_BASE_VERSION=3.4.5
- ZOOKEEPER_RELEASE=1279813
+ ZOOKEEPER_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=3.4.5+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=3.4.5+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
