## zookeeper 3.4.5+dfsg

=== debian/changelog ===
zookeeper (3.4.5+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * d/p/fixes/ZOOKEEPER-740: Cherry picked fix from upstream bugtracker to
    resolve issue with slow running add_auth calls with multi-threaded
    client.
  * d/rules: Disable mt client tests due to test library incompatibility
    with libc 2.17.
  * d/rules: Drop override_dh_installdocs, no longer required.
  * d/control: Tweak depends for libzookeeper-java{-doc} to be Java policy
    compliant.

 -- James Page <james.page@ubuntu.com>  Mon, 06 May 2013 18:27:16 -0700

zookeeper (3.4.5+dfsg-1~exp2) experimental; urgency=low

  * d/conf_example/environment: Add missing jars to zookeeper CLASSPATH
    for 3.4.5 release.
  * d/control: Update VCS fields to be canonical.

 -- James Page <james.page@ubuntu.com>  Thu, 28 Feb 2013 09:26:11 +0000

zookeeper (3.4.5+dfsg-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #699120, LP: #1107400, #954160):
    - d/p/ZOOKEEPER-{1374,1033}: Dropped, included upstream.
    - Refreshed remaining patches.
    - Drop bookkeeper support, now a separate project.
    - d/control: Added new BD's on netty, slf4j and mockito.
    - d/zookeeper.{install,cron.daily}: Drop scheduled transaction
      log purging as now handled internally.
  * d/control: Bumped Standards-Version, no changes.
  * d/control: Dropped obsolete DM-Upload-Allowed.
  * Sync Ubuntu changes:
    - d/rules: Only execute native test suite on i386 and amd64
      architectures; its a bit racey and does not execute reliably
      on others.
  * d/rules,zookeeperd.upstart: Rejig now that debhelper in Debian and
    Ubuntu does the right things with init and upstart configs.
  * d/rules: Disable native tests on Ubuntu due to incompatibility in
    test framework with glibc 2.17.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Feb 2013 10:48:31 +0000
