=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
  http://mirrors.enquira.co.uk/apache/zookeeper/stable/zookeeper-([0-9.]+).tar.gz \
  debian debian/orig-tar.sh
