## zookeeper 3.4.6

=== debian/changelog ===
zookeeper (3.4.6-8) unstable; urgency=medium

  * Team upload.
  * Fixed the netty dependency for libzookeeper-java (Closes: #797229)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Sep 2015 08:53:30 +0200

zookeeper (3.4.6-7) unstable; urgency=medium

  * Team upload.
  * Build-dep on liblogx4cxx-dev.  See transition bug #792013.
    (Closes: #794418)

 -- tony mancill <tmancill@debian.org>  Sun, 09 Aug 2015 12:36:52 -0700

zookeeper (3.4.6-6) unstable; urgency=medium

  * Team upload.
  * Depend on libnetty-3.9-java instead of libnetty-java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Jul 2015 15:44:25 +0200

zookeeper (3.4.6-5) unstable; urgency=medium

  * Team upload.
  * Fixed the packaging type of the Maven artifact (pom -> jar)
  * Improved the build reproducibility:
    - Set the locale to 'en' when generating the javadoc

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Jul 2015 17:23:32 +0200

zookeeper (3.4.6-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Improved the build reproducibility:
    - Removed the Built-At, Built-By and Built-On entries in the manifests
    - Use the changelog date as the build date in Info.java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Apr 2015 10:03:34 +0200

zookeeper (3.4.6-3) experimental; urgency=medium

  * Team upload.
  * Fixed the Maven rule for netty to work with maven-repo-helper << 1.8.10

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Jan 2015 23:19:38 +0100

zookeeper (3.4.6-2) experimental; urgency=medium

  * Team upload.
  * Fixed the groupId of netty in the installed pom

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Jan 2015 11:32:32 +0100

zookeeper (3.4.6-1) experimental; urgency=medium

  * Team upload.

  [ James Page ]
  * d/control: Bump epoch on default-jdk BD to exclude archictectures which
    don't have Java 6 or better (Closes: #742405).

  [ Tim Retout ]
  * New upstream version.  (Closes: #756982)
  * debian/patches: Refresh patches.

  [ Emmanuel Bourg ]
  * Install the Maven artifacts (Closes: #775893)
  * Standards-Version updated to 3.9.6 (no changes)
  * Fixed some lintian warnings related to debian/copyright
  * libzookeeper-java suggests libzookeeper-java-doc but doesn't recommend it
  * Install the API documentation under /usr/share/doc/libzookeeper-java
    instead of usr/share/doc/libzookeeper-java-doc
  * debian/orig-tar.sh:
    - Removed src/contrib/loggraph from the upstream tarball since it isn't used
      and is missing the source of a minimized JavaScript file (yui-min.js)
    - Use XZ compression for the upstream tarball
    - Delete the non filtered upstream tarball after unpacking it
  * Added the .patch extension to the patches
  * Added the missing patch descriptions

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Jan 2015 13:36:17 +0100

zookeeper (3.4.5+dfsg-2) unstable; urgency=high

  [ tony mancill ]
  * Team upload.
  * Add slf4j jars to CLASSPATH in zooinspector. (Closes: #712778)

  [ Tim Retout ]
  * debian/watch: Add pgp signature mangling, and use main mirror.
  * debian/upstream/signing-key.asc: Add upstream signing keys.
  * debian/*.preinst: Transition /usr/share/doc symlinks to real
    directories. (Closes: #720148)
  * Urgency set to high for RC bugfix.

 -- Tim Retout <diocles@debian.org>  Sun, 16 Mar 2014 20:07:23 +0000
