=== debian/control ===
--- 
+++ 
@@ -3,17 +3,13 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>
-Homepage: http://zookeeper.apache.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/zookeeper.git
-Vcs-Git: git://anonscm.debian.org/pkg-java/zookeeper.git
-Standards-Version: 3.9.4
 Build-Depends:
  ant (>= 1.6.0),
  ant-optional,
  autoconf,
  automake,
  debhelper (>= 9~),
- default-jdk (>= 1:1.6),
+ default-jdk (>= 2:1.6),
  default-jdk-doc,
  help2man,
  javacc,
@@ -22,28 +18,33 @@
  libboost-dev,
  libcppunit-dev,
  libjline-java,
- liblog4cxx10-dev,
+ liblog4cxx-dev,
  liblog4j1.2-java (>> 1.2.15-8),
  libmockito-java,
- libnetty-java,
+ libnetty-3.9-java,
  libslf4j-java,
  libtool,
  libxerces2-java,
  libxml2-dev,
+ maven-repo-helper,
  procps,
  python-all-dev (>= 2.6.6-3~)
 X-Python-Version: >= 2.6
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/zookeeper.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/zookeeper.git
+Homepage: http://zookeeper.apache.org
 
 Package: libzookeeper-java
 Architecture: all
 Depends:
  libjline-java,
  liblog4j1.2-java (>> 1.2.15-8),
- libnetty-java,
+ libnetty-3.9-java,
  libslf4j-java,
  libxerces2-java,
  ${misc:Depends}
-Recommends: libzookeeper-java-doc
+Suggests: libzookeeper-java-doc
 Description: Core Java libraries for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
