=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 PYVERS := $(shell pyversions -vr)
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)
 
 %:
 	dh $@ --with javahelper --with python2
@@ -15,7 +16,7 @@
 	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
 	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
 	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
-	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 javadoc javadoc-dev jar
+	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 '-Dbuild.time=$(DEB_CHANGELOG_DATETIME)' javadoc javadoc-dev jar
 
 	# Compile C library
 	cd src/c && autoreconf -i
@@ -51,6 +52,10 @@
 		sed -e 's/__ARCH__/$(DEB_HOST_MULTIARCH)/g' debian/$$install.install.in \
 			> debian/$$install.install; \
 	done
+
+	# Install the Maven artifacts
+	mh_installpom -plibzookeeper-java debian/pom.xml
+	mh_installjar -plibzookeeper-java --java-lib --has-package-version debian/pom.xml build/zookeeper.jar
 	dh_install
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -84,6 +89,7 @@
 endif
 
 override_dh_clean:
+	mh_clean
 	dh_clean --exclude=src/java \
              --exclude=src/docs \
              --exclude=src/c \
