## zookeeper 3.4.8

=== debian/changelog ===
zookeeper (3.4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated debian/pom.xml
  * Build with ivy-debian-helper
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 26 Feb 2016 14:51:43 +0100

zookeeper (3.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated debian/pom.xml
  * Updated the upstream signing keys

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 02 Jan 2016 22:32:10 +0100
