=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  default-jdk (>= 2:1.6),
  default-jdk-doc,
  help2man,
+ ivy-debian-helper,
  javacc,
  javahelper (>= 0.28),
  junit4,
@@ -30,9 +31,9 @@
  procps,
  python-all-dev (>= 2.6.6-3~)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/zookeeper.git
-Vcs-Git: git://anonscm.debian.org/pkg-java/zookeeper.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/zookeeper.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/zookeeper.git
 Homepage: http://zookeeper.apache.org
 
 Package: libzookeeper-java
