=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,23 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)
 
+ANT_ARGS = -Dversion=$(DEB_UPSTREAM_VERSION) \
+           -DlastRevision=-1 \
+           -Divy.url=file:/usr/share/maven-repo/org/apache/ivy/ivy/ \
+           -Divy.version=debian \
+           -Divysettings.xml=/usr/share/ivy-debian-helper/ivysettings.xml \
+           -Dant.build.javac.source=1.5 \
+           -Dant.build.javac.target=1.5
+
 %:
-	dh $@ --with javahelper --with python2
+	dh $@ --buildsystem=ivy --with javahelper --with python2
 
 override_dh_auto_build:
 	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
 	mkdir -p build/test/classes
 	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
-	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
-	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
-	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 '-Dbuild.time=$(DEB_CHANGELOG_DATETIME)' javadoc javadoc-dev jar
+
+	dh_auto_build -- $(ANT_ARGS) '-Dbuild.time=$(DEB_CHANGELOG_DATETIME)' -Dfinal.name=zookeeper javadoc javadoc-dev jar
 
 	# Compile C library
 	cd src/c && autoreconf -i
@@ -24,10 +31,7 @@
 	$(MAKE) -C src/c
 
 	# Compile contribs - zooinspector
-	cd src/contrib && \
-		ant -Dversion=$(DEB_UPSTREAM_VERSION) \
-			-propertyfile ../../debian/ant.properties \
-			-Dcontribfilesetincludes="zooinspector/build.xml"
+	dh_auto_build -- -f src/contrib/build.xml $(ANT_ARGS) -Dcontribfilesetincludes="zooinspector/build.xml"
 
 	# Build Python Bindings
 	cd src/contrib/zkpython && \
@@ -103,11 +107,12 @@
 
 # the original build.xml deletes too much
 override_dh_auto_clean:
-	dh_testdir
+	dh_auto_clean
 	rm -rf .revision
 	rm -rf build
 	rm -rf src/c/generated
 	rm -rf src/java/generated
+	rm -rf src/java/lib/*.jar
 	rm -rf src/java/main/org/apache/jute/compiler/generated/*.java
 	rm -f zookeeper*.jar
 	[ ! -f src/c/Makefile ] || $(MAKE) -C src/c distclean
