## zookeeper 3.4.9

=== debian/changelog ===
zookeeper (3.4.9-3+deb9u2) stretch-security; urgency=high

  * CVE-2019-0201: Prevent an information disclosure vulnerability where users
    who were not authorised to read data were able to view the access control
    list. (Closes: #929283)

 -- Chris Lamb <lamby@debian.org>  Fri, 24 May 2019 08:57:53 +0100

zookeeper (3.4.9-3+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2018-8012:
    No authentication/authorization is enforced when a server attempts to join
    a quorum in Apache ZooKeeper. As a result an arbitrary end point could join
    the cluster and begin propagating counterfeit changes to the leader.
    (Closes: #899332)

 -- Markus Koschany <apo@debian.org>  Wed, 23 May 2018 22:34:43 +0200

zookeeper (3.4.9-3) unstable; urgency=medium

  * Team upload.
  * Apply patch for CVE-2017-5637 (Closes: #863811)
    "wchp" and "wchc" are now disabled by default.

 -- tony mancill <tmancill@debian.org>  Thu, 01 Jun 2017 16:26:44 -0700

zookeeper (3.4.9-2) unstable; urgency=medium

  * Team upload.
  * Apply patch to set JAVA in the environment (Closes: #839184)
    - Thank you to Felix Dreissig.
  * Add patch for spelling corrections in upstream source.

 -- tony mancill <tmancill@debian.org>  Sun, 16 Oct 2016 20:50:15 -0700

zookeeper (3.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated debian/pom.xml
  * Updated the upstream signing keys

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 16 Sep 2016 15:13:01 +0200

zookeeper (3.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add systemd unit file.  (Closes: #830222)
    - Thanks to Felix Dreissig for the patch series.
  * Add dh-python to Build-Depends.  (Closes: #830216)
    - Thanks to Felix Dreissig for the patch.
  * Standards-Version updated to 3.9.8 (no changes)

 -- tony mancill <tmancill@debian.org>  Thu, 07 Jul 2016 21:05:26 -0700
