=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  debhelper (>= 9~),
  default-jdk (>= 2:1.6),
  default-jdk-doc,
+ dh-python,
+ dh-systemd,
  help2man,
  ivy-debian-helper,
  javacc,
@@ -31,7 +33,7 @@
  procps,
  python-all-dev (>= 2.6.6-3~)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/zookeeper.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/zookeeper.git
 Homepage: http://zookeeper.apache.org
