=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
            -Dant.build.javac.target=1.5
 
 %:
-	dh $@ --buildsystem=ivy --with javahelper --with python2
+	dh $@ --buildsystem=ivy --with javahelper --with python2 --with systemd
 
 override_dh_auto_build:
 	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
@@ -139,4 +139,7 @@
 	rm -rf src/c/TEST-*
 
 override_dh_installinit:
-	dh_installinit -d
+	dh_installinit --name=zookeeper
+
+override_dh_systemd_enable:
+	dh_systemd_enable --name=zookeeper
